Subject: Magnolia

From: [email-masked] (John C Pardon)
Date: 22 Mar 1995 16:57:12 GMT

I'm interested in obtaining some climate zone 5-6 magnolias.
Specifically *Yulan/denudata* and northern hardy *Grandiflora*
cultivars. I just planted soulangiana and I'm hooked. Anyone know of
some mail order nurseries (aside from Wayside) that might have
cold-hardy stock? Also, I'm told that Yulan has provided material for
some well-known hybrids. Any particular favorites?

Thanks,

John.